Subject: Re: [RFC] git-ghost: preserve “why” on deleted lines

From: Junio C Hamano <[email-masked]>
Date: Fri, 23 May 2025 10:24:44 -0700

Max Rhodin <[email-masked]> writes:

> Comments?

Would running "git blame" in reverse work for your use case?

Tracing deleted contents is much harder than tracing contents in the
current revision, simply because you have to find where to start
digging.  In order to find where the contents were removed, you
first need to know what exact contents you are looking for (which
by definition you cannot do with the current revision), and then you
need to know what revision had that code.

What I do in practice is to randomly check out an old revision to
find sufficiently old one that still contains the contents ("git
bisect" can help), and then go from there.